Skip to main content

Genesis

POST

Retrieves the genesis document of the chain. An error may occur if the response is too large; genesis_chunked is recommended in that case.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Responses
jsonrpcstringrequired
idintegerrequired
genesis_timestring
chain_idstring
initial_heightstring
max_bytesstring
max_gasstring
time_iota_msstring
max_agestring
pub_key_typesarray
addressstring
typestring
valuestring
powerstring
namestring
app_hashstring
app_stateobject
cURL
curl -X POST 'https://rpc-cronospos-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "Genesis",
"params": []
}'